#!/bin/sh

USER_DIR=$HOME/.gkrellm/plugins
SYSTEM_DIR1=/usr/local/lib/gkrellm/plugins
SYSTEM_DIR2=/usr/lib/gkrellm/plugins
LIBRARY=gkrellmwho.so


echo -n "Installing $LIBRARY in "

if [ `whoami` = "root" ] ; then
	if [ -d $SYSTEM_DIR1 ] ; then
		echo -n "$SYSTEM_DIR1... "
		install -m 755 $LIBRARY $SYSTEM_DIR1
	else
		echo -n "$SYSTEM_DIR2... "
		install -m 755 $LIBRARY $SYSTEM_DIR2
	fi
else
	echo -n "$USER_DIR... "
	install -m 700 $LIBRARY $USER_DIR
fi
echo "done."
